Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Jun 3, 2014
  1. @rrrene

    (maint) Update docs badge in README

    rrrene authored
    Update the URL of the docs badge to include it from
    inch-ci.org instead of inch-pages.github.io (the former
    being the successor of the Inch Pages project).
Commits on Mar 26, 2014
  1. @rrrene

    Add docs badge to README

    rrrene authored
Commits on Feb 21, 2014
  1. @ahpook
  2. @ahpook
  3. @ahpook

    (maint) Update README.md for support clarification

    ahpook authored
    This commit gives our README.md a little bit of love:
    
    - adds verbiage about support lifecycle
    - moves HTTP API docs up near the rest of the docs
    - updates the link to the ticket tracker now that we're on JIRA
Commits on Feb 7, 2014
  1. @zaphod42

    (doc) Stop using non-words

    zaphod42 authored
    "Contributioning", although very cool sounding, is not actually a word.
    It is "Contributing" to the rest of the world.
Commits on Feb 6, 2014
  1. @zaphod42

    (doc) Create a quickstart guide to get people going

    zaphod42 authored
    The README_DEVELOPER document has become too long for many new
    contributors to quickly get going. The setup instructions were hidding
    far down inside the file and provided to many caveats for a quick setup.
    This splits out that information, streamlines it to take an opinionated
    stance on how to setup a development environment, and start the process
    of creating a set of documents tightly tied to the puppet codebase.
    
    This new docs area should be used for documents about developing on the
    puppet codebase, documentation of internal architecture, and other
    developer and development focussed documents.
    
    This also moves the acceptance test documents to this new location.
  2. @zaphod42

    (doc) Point to the local docs

    zaphod42 authored
    Rather than pointing to some remote form of the docs that are part of
    the repo, we should point to the local files. This makes the docs more
    self contained and better versioned together.
Commits on Jan 17, 2014
  1. Spelling LICENSE correctly

    Brandon High authored
  2. LICENCE is not a .md

    Brandon High authored
  3. Adding link to LICENCE

    Brandon High authored
  4. Fixing HTTP API link formatting

    Brandon High authored
Commits on Nov 6, 2013
  1. Maint: Change "installation" section of README to be more useful

    Nick Fagerlund authored
    - Point to PE
    - Point to open source installation guide
    - Point to running-from-source guide
Commits on Oct 29, 2013
  1. @kylog
  2. @kylog

    Merge branch 'readme-ruby-2_0' of https://github.com/jhoblitt/puppet

    kylog authored
    …into jhoblitt-readme-ruby-2_0
Commits on Oct 13, 2013
  1. @jhoblitt
Commits on Sep 17, 2013
  1. @zaphod42

    (Maint) Fix link to the REST API docs

    zaphod42 authored
    When the API docs were moved to a new directory structure the link to
    them wasn't updated.
Commits on Aug 7, 2013
  1. @jpartlow
Commits on Jul 31, 2013
  1. @jpartlow

    (21881) Adds explantory text and fixes for YARD

    jpartlow authored
    From Nick Fagerlund:
    
    Add explanatory text; modify the manifest to not throw an error. Add
    node definitions.
    
    Rename files (and any references to them).
    
    Use indented code blocks instead of fenced ones
    
    Our docs toolchain can't handle fenced code blocks yet, and we're going to need
    to put this content in multiple places, so it must use least-common-denominator
    markdown syntax.
    
    Anchor links are not reliable in YARD
    
    ...so we should avoid them and describe anchor positions with English.
Commits on Jul 24, 2013
  1. @pcarlisle

    (#21881) Add API docs to YARD

    pcarlisle authored
    This adds an api_docs directory with static markdown files which get included
    in YARD output. The first thing documented is the resource_type http endpoint.
Commits on Jan 7, 2013
  1. @zaphod42
  2. @zaphod42

    (Maint) Update the supported ruby versions

    zaphod42 authored
    The list of ruby versions was incorrect (1.8.5 is no longer supported)
    and unclear (there is no best effort support of other versions). This
    simplifies the language there.
Commits on Jan 6, 2013
  1. @jeffmccune

    (maint) Add Travis CI Support

    jeffmccune authored
    This patch adds Travis support.  It also makes sure that `bundle install
    --path vendor` works with `bundle exec rake spec`.
    
    This patch should coincide with enabling Travis CI support for pull requests.
    A build status image is also included in the project README.
Commits on Aug 24, 2012
  1. @ahpook

    (#15966) Update README.me for correct facter version dependency

    ahpook authored
    We're not requiring facter 2, just a reasonably-recent 1.6.
Commits on Jul 31, 2012
  1. @mblair

    one half the contributions

    mblair authored
Commits on Jul 24, 2012
  1. @pcarlisle

    Merge branch '2.7.x' into 3.x

    pcarlisle authored
    * 2.7.x:
      tidy.rb: Added info about the default value of 'type' to the doc.
      Switch Rakefile off deprecated rake/gempackagetask
      Update main readme to have links to contrib and dev docs
Commits on Jul 18, 2012
  1. @stahnma @zaphod42

    Update main readme to have links to contrib and dev docs

    stahnma authored zaphod42 committed
    Our README currently rendered on github doesn't show people how get into
    the contribution process.  I've added a very small section to point to
    the other doc files that exist in our repositories.  This was based on
    feedback at the Community Leadership Summit 2012.
    
    Signed-off-by: Michael Stahnke <stahnma@puppetlabs.com>
  2. @stahnma @zaphod42

    Update main readme to have links to contrib and dev docs

    stahnma authored zaphod42 committed
    Our README currently rendered on github doesn't show people how get into
    the contribution process.  I've added a very small section to point to
    the other doc files that exist in our repositories.  This was based on
    feedback at the Community Leadership Summit 2012.
    
    Signed-off-by: Michael Stahnke <stahnma@puppetlabs.com>
Commits on Jun 5, 2012
  1. @jeffweiss

    (maint) Update README.md w/ min Facter ver

    jeffweiss authored
    As of Puppet 3.0.0, the minimum version of Facter required is 2.0.0.
    This commit updates the documentation in README.md.
Commits on Apr 10, 2012
  1. @jeffweiss

    (documentation) Change README.md to use backtick

    jeffweiss authored
    The single quotes of the ruby oneliner was a bit unclear. This commit
    changes them to backticks to make it much more clear that it's a command
    to be run.
Commits on Mar 8, 2012
  1. @Erkan-Yilmaz

    missing: )

    Erkan-Yilmaz authored
Commits on Jun 29, 2011
  1. Merge branch '2.6.x' into 2.7.x

    Jacob Helwig authored
    * 2.6.x:
      (#7956) Porting cron tests
      (#7956) Port resource acceptance tests
      Readying for release of 2.6.9
      (#6854) Update Red Hat spec file
      Bumping release in lib/puppet.rb and updating CHANGELOG.
      Bumping RPM spec file to 2.6.9rc1.
      (#7506) Organize READMEs; specify supported Ruby versions in README.md
      (#6418) Make test 64118 more portable
      (#7127) Stop puppet if a prerun command fails
      Do not needlessly create multiple reports when creating a transaction
      (#4416) Ensure types are providified after reloading
      (#4416) Always remove old provider before recreating it
      Cleanup indentation, comment, and unused code
    
    Conflicts:
    	CHANGELOG
    	README.md
    	conf/redhat/puppet.spec
    	lib/puppet.rb
    	lib/puppet/transaction.rb
    	spec/unit/configurer_spec.rb
    	spec/unit/transaction_spec.rb
Commits on Jun 14, 2011
  1. (#7506) Organize READMEs; specify supported Ruby versions in README.md

    nfagerlund authored
    The README was not specific enough about the current state of our Ruby support.
    This commit lays out our current status as discussed in issue #7506 and in
    greater detail on the internal mailing list around April 8, 2011 under the
    subject "Statler Ruby Versions Support."
    
    This commit also consolidates two redundant README files into one.
    
    Paired-With: Matt Robinson <matt@puppetlabs.com>
  2. (#7506) Specify supported Ruby versions in README.md

    nfagerlund authored
    The README was not specific enough about the current state of our Ruby support.
    This commit lays out our current status as discussed in issue #7506 and in
    greater detail on the internal mailing list around April 8, 2011 under the
    subject "Statler Ruby Versions Support."
    
    Paired-With: Matt Robinson <matt@puppetlabs.com>
Commits on Apr 10, 2011
  1. @jamtur01

    Fixed #5684 - Move to Apache 2.0 license

    jamtur01 authored
    For details of why we're moving please see:
    
    https://groups.google.com/d/topic/puppet-users/NuspYhMpE5o/discussion
    
    Removed explicit GPL licenses where appropriate
    
    Replaced selected GPL licenses with Apache 2.0
    
    Replaced LICENSE with Apache 2.0
    
    Updated README
Something went wrong with that request. Please try again.